Bug 447998 - Use an indicator when Show Desktop is active
Summary: Use an indicator when Show Desktop is active
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Show Desktop/Minimize All (show other bugs)
Version: 5.23.4
Platform: Other Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-01-05 21:11 UTC by Jack Hill
Modified: 2022-02-16 15:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Hill 2022-01-05 21:11:40 UTC
SUMMARY
Similar to the Minimize All Windows applet, please add an indicator under the icon when Show Desktop is active.

STEPS TO REPRODUCE
1. Add the Show Desktop applet to a panel/desktop
2. Click Show Desktop

OBSERVED RESULT
Windows move out of the way but there's no indicator that Show Desktop is active.

EXPECTED RESULT
Windows move out of the way and an indicator appears below the Show Desktop button.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 20220103
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.89.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
It seems like this feature was added to Minimize All Windows instead of Show Desktop by mistake
Comment 1 Bug Janitor Service 2022-01-29 19:22:28 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/833
Comment 2 Nate Graham 2022-02-16 15:30:24 UTC
Git commit c9f9713b1bdf5dfa9eaa12fafb846fa3742156e0 by Nate Graham.
Committed on 16/02/2022 at 15:28.
Pushed by ngraham into branch 'master'.

applets/showdesktop: Give it an active indicator line

This way it shows when its effect is active, just like the Minimize All
applet does.
FIXED-IN: 5.24.2

M  +56   -1    applets/showdesktop/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/c9f9713b1bdf5dfa9eaa12fafb846fa3742156e0
Comment 3 Nate Graham 2022-02-16 15:30:56 UTC
Git commit 95acde4cb3edf1312b8153fde4e6376f3f375b4e by Nate Graham.
Committed on 16/02/2022 at 15:30.
Pushed by ngraham into branch 'Plasma/5.24'.

applets/showdesktop: Give it an active indicator line

This way it shows when its effect is active, just like the Minimize All
applet does.
FIXED-IN: 5.24.2


(cherry picked from commit c9f9713b1bdf5dfa9eaa12fafb846fa3742156e0)

M  +56   -1    applets/showdesktop/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/95acde4cb3edf1312b8153fde4e6376f3f375b4e